CExpIter.h File Reference
`#include <polybori/pbori_defs.h>`
`#include "CTermStack.h"`
`#include "CTermIter.h"`

Go to the source code of this file.

## Classes

class | polybori::CExpGenerator< ExpType >
struct | polybori::pbori_base< CExpIter< NaviType, ExpType > >
class | polybori::CExpIter< NaviType, ExpType >

## Namespaces

| polybori

## Detailed Description

Author
  Alexander Dreyer

Date
  2007-05-03

This file defines a variant for the natural (lexicographical) iterator, which iterator over all exponent vectors of a polynomial.

Copyright:
  (c) 2007 by The PolyBoRi Team